# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section         free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           servicemix-specs
Summary:        Java Service Apis from ServiceMix
Url:            http://servicemix.apache.org/
Version:        1.7.0
Release:        5%{?dist}
Epoch:          0
License:        Apache 2.0 License
Group:          Development/Libraries
Source0:        servicemix-specs-1.7.0.tgz
# svn export http://svn.apache.org/repos/asf/servicemix/smx4/specs/tags/specs-1.7.0/ servicemix-specs-1.7.0
# tar czf servicemix-specs-1.7.0.tgz servicemix-specs-1.7.0/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
#Source3:        servicemix-legal-1.0.pom
Source4:        http://repo1.maven.org/maven2/javax/ws/rs/jsr311-api/0.8/jsr311-api-0.8.jar
Patch0:         servicemix-specs-pom.patch
Patch1:         servicemix-specs-jaxb-api-2.1-pom.patch
Patch2:         servicemix-specs-jaxb-api-2.0-pom.patch
Patch3:         servicemix-specs-activation-api-1.1-pom.patch
Patch4:         servicemix-specs-jaxws-2.0-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-shade
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit3
BuildRequires:  apache-commons-parent
BuildRequires:  apache-felix-maven-bundle-plugin
BuildRequires:  jaxws-2.0-api
BuildRequires:  jain-sip
BuildRequires:  geronimo-genesis
BuildRequires:  geronimo-genesis2
BuildRequires:  geronimo-jaf-1.1-api
BuildRequires:  geronimo-javamail-1.4-api
BuildRequires:  geronimo-jaxws-2.1-api
BuildRequires:  geronimo-jaxws-2.2-api
BuildRequires:  geronimo-jpa-2.0-api
BuildRequires:  geronimo-saaj-1.3-api
BuildRequires:  geronimo-validation-1.0-api
BuildRequires:  geronimo-ws-metadata-2.0-api
BuildRequires:  servicemix-build-maven-plugin
BuildRequires:  smx4-legal
BuildRequires:  sun-jaxb-2.1-api


Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5
Requires:          java >= 0:1.6.0

Provides:          jaf_api
Provides:          jaf_1_1_api
Provides:          javamail_api
Provides:          javamail_1_4_api
Provides:          jpa_api
Provides:          jpa_1_1_1_api
Provides:          jpa_2_0_api
Provides:          jaxb_api
Provides:          jaxb_2_0_api
Provides:          jaxb_2_1_api
Provides:          jaxb_2_2_api
Provides:          jaxp
Provides:          jaxws_api
Provides:          jaxws_2_0_api
Provides:          jaxws_2_1_api
Provides:          jaxws_2_2_api
Provides:          jbi_api
Provides:          jbi_1_0_api
Provides:          jsr311_api
Provides:          jsr311_0_8_api
Provides:          jsr311_1_0_api
Provides:          jsr311_1_1_api
Provides:          saaj_api
Provides:          saaj_1_3_api
Provides:          stax_api
Provides:          stax_1_0_api


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Java service apis from ServiceMix.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 
chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
  mv $f $f.no
done
cp %{SOURCE1} settings.xml
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4

%build
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
#mkdir -p $MAVEN_REPO_LOCAL/org/apache/servicemix/legal/legal/1.0/
#cp %{SOURCE3} $MAVEN_REPO_LOCAL/org/apache/servicemix/legal/legal/1.0/legal-1.0.pom
mkdir -p $MAVEN_REPO_LOCAL/JPP
cp %{SOURCE4} $MAVEN_REPO_LOCAL/JPP/jsr311-api-0.8.jar

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export SETTINGS=$(pwd)/settings.xml

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Daggregate=true \
        javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.apache.servicemix.specs specs %{version} JPP/%{name} specs
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-specs.pom

touch $RPM_BUILD_ROOT%{_javadir}/jaf.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaf_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaf_1_1_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.activation-api-1.1 %{version} JPP/%{name} org.apache.servicemix.specs.activation-api-1.1
install -m 644 activation-api-1.1/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.activation-api-1.1.pom
install -m 644 activation-api-1.1/target/org.apache.servicemix.specs.activation-api-1.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.activation-api-1.1-%{version}.jar

%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jain-sip-api-1.2 %{version} JPP/%{name} org.apache.servicemix.specs.jain-sip-api-1.2
install -m 644 jain-sip-api-1.2/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jain-sip-api-1.2.pom
install -m 644 jain-sip-api-1.2/target/org.apache.servicemix.specs.jain-sip-api-1.2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jain-sip-api-1.2-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/javamail_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/javamail_1_4_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.javamail-api-1.4 %{version} JPP/%{name} org.apache.servicemix.specs.javamail-api-1.4
install -m 644 javamail-api-1.4/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.javamail-api-1.4.pom
install -m 644 javamail-api-1.4/target/org.apache.servicemix.specs.javamail-api-1.4-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.javamail-api-1.4-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jpa_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jpa_1_1_1_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.java-persistence-api-1.1.1 %{version} JPP/%{name} org.apache.servicemix.specs.java-persistence-api-1.1.1
install -m 644 java-persistence-api-1.1.1/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.java-persistence-api-1.1.1.pom
install -m 644 java-persistence-api-1.1.1/target/org.apache.servicemix.specs.java-persistence-api-1.1.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-1.1.1-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jpa_2_0_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.java-persistence-api-2.0 %{version} JPP/%{name} org.apache.servicemix.specs.java-persistence-api-2.0
install -m 644 java-persistence-api-2.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.java-persistence-api-2.0.pom
install -m 644 java-persistence-api-2.0/target/org.apache.servicemix.specs.java-persistence-api-2.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-2.0-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jaxb.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxb_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxb_2_0_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jaxb-api-2.0 %{version} JPP/%{name} org.apache.servicemix.specs.jaxb-api-2.0
install -m 644 jaxb-api-2.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jaxb-api-2.0.pom
install -m 644 jaxb-api-2.0/target/org.apache.servicemix.specs.jaxb-api-2.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.0-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jaxb_2_1_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jaxb-api-2.1 %{version} JPP/%{name} org.apache.servicemix.specs.jaxb-api-2.1
install -m 644 jaxb-api-2.1/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jaxb-api-2.1.pom
install -m 644 jaxb-api-2.1/target/org.apache.servicemix.specs.jaxb-api-2.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.1-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jaxb_2_2_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jaxb-api-2.2 %{version} JPP/%{name} org.apache.servicemix.specs.jaxb-api-2.2
install -m 644 jaxb-api-2.2/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jaxb-api-2.2.pom
install -m 644 jaxb-api-2.2/target/org.apache.servicemix.specs.jaxb-api-2.2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.2-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jaxp.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jaxp-api-1.3 %{version} JPP/%{name} org.apache.servicemix.specs.jaxp-api-1.3
install -m 644 jaxp-api-1.3/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jaxp-api-1.3.pom
install -m 644 jaxp-api-1.3/target/org.apache.servicemix.specs.jaxp-api-1.3-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jaxp-api-1.3-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jaxws.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxws_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxws_2_0_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jaxws-api-2.0 %{version} JPP/%{name} org.apache.servicemix.specs.jaxws-api-2.0
install -m 644 jaxws-api-2.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jaxws-api-2.0.pom
install -m 644 jaxws-api-2.0/target/org.apache.servicemix.specs.jaxws-api-2.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.0-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jaxws_2_1_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jaxws-api-2.1 %{version} JPP/%{name} org.apache.servicemix.specs.jaxws-api-2.1
install -m 644 jaxws-api-2.1/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jaxws-api-2.1.pom
install -m 644 jaxws-api-2.1/target/org.apache.servicemix.specs.jaxws-api-2.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.1-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jaxws_2_2_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jaxws-api-2.2 %{version} JPP/%{name} org.apache.servicemix.specs.jaxws-api-2.2
install -m 644 jaxws-api-2.2/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jaxws-api-2.2.pom
install -m 644 jaxws-api-2.2/target/org.apache.servicemix.specs.jaxws-api-2.2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.2-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jbi.jar
touch $RPM_BUILD_ROOT%{_javadir}/jbi_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jbi_1_0_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jbi-api-1.0 %{version} JPP/%{name} org.apache.servicemix.specs.jbi-api-1.0
install -m 644 jbi-api-1.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jbi-api-1.0.pom
install -m 644 jbi-api-1.0/target/org.apache.servicemix.specs.jbi-api-1.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0-%{version}.jar
#ln -s %{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0.jar $RPM_BUILD_ROOT%{_javadir}/jbi_1_0_api.jar

%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jsr250-1.0 %{version} JPP/%{name} org.apache.servicemix.specs.jsr250-1.0
install -m 644 jsr250-1.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jsr250-1.0.pom
install -m 644 jsr250-1.0/target/org.apache.servicemix.specs.jsr250-1.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jsr250-1.0-%{version}.jar

%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jsr303-api-1.0.0 %{version} JPP/%{name} org.apache.servicemix.specs.jsr303-api-1.0.0
install -m 644 jsr303-api-1.0.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jsr303-api-1.0.0.pom
install -m 644 jsr303-api-1.0.0/target/org.apache.servicemix.specs.jsr303-api-1.0.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jsr303-api-1.0.0-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jsr311.jar
touch $RPM_BUILD_ROOT%{_javadir}/jsr311_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jsr311_0_8_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jsr311-api-0.8 %{version} JPP/%{name} org.apache.servicemix.specs.jsr311-api-0.8
install -m 644 jsr311-api-0.8/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jsr311-api-0.8.pom
install -m 644 jsr311-api-0.8/target/org.apache.servicemix.specs.jsr311-api-0.8-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8-%{version}.jar
#ln -s %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8.jar $RPM_BUILD_ROOT%{_javadir}/jsr311_api.jar

touch $RPM_BUILD_ROOT%{_javadir}/jsr311_1_0_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jsr311-api-1.0 %{version} JPP/%{name} org.apache.servicemix.specs.jsr311-api-1.0
install -m 644 jsr311-api-1.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jsr311-api-1.0.pom
install -m 644 jsr311-api-1.0/target/org.apache.servicemix.specs.jsr311-api-1.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.0-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/jsr311_1_1_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.jsr311-api-1.1 %{version} JPP/%{name} org.apache.servicemix.specs.jsr311-api-1.1
install -m 644 jsr311-api-1.1/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.jsr311-api-1.1.pom
install -m 644 jsr311-api-1.1/target/org.apache.servicemix.specs.jsr311-api-1.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.1-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/saaj.jar
touch $RPM_BUILD_ROOT%{_javadir}/saaj_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/saaj_1_3_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.saaj-api-1.3 %{version} JPP/%{name} org.apache.servicemix.specs.saaj-api-1.3
install -m 644 saaj-api-1.3/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.saaj-api-1.3.pom
install -m 644 saaj-api-1.3/target/org.apache.servicemix.specs.saaj-api-1.3-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.saaj-api-1.3-%{version}.jar

%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.scripting-api-1.0 %{version} JPP/%{name} org.apache.servicemix.specs.scripting-api-1.0
install -m 644 scripting-api-1.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.scripting-api-1.0.pom
install -m 644 scripting-api-1.0/target/org.apache.servicemix.specs.scripting-api-1.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.scripting-api-1.0-%{version}.jar

touch $RPM_BUILD_ROOT%{_javadir}/stax_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/stax_1_0_api.jar
%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.stax-api-1.0 %{version} JPP/%{name} org.apache.servicemix.specs.stax-api-1.0
install -m 644 stax-api-1.0/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.stax-api-1.0.pom
install -m 644 stax-api-1.0/target/org.apache.servicemix.specs.stax-api-1.0-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.stax-api-1.0-%{version}.jar


%add_to_maven_depmap org.apache.servicemix.specs org.apache.servicemix.specs.locator %{version} JPP/%{name} org.apache.servicemix.specs.locator
install -m 644 locator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.servicemix.specs.locator.pom
install -m 644 locator/target/org.apache.servicemix.specs.locator-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.servicemix.specs.locator-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%{_sbindir}/update-alternatives --install %{_javadir}/jaf.jar jaf %{_javadir}/%{name}/org.apache.servicemix.specs.activation-api-1.1.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_api.jar jaf_api %{_javadir}/%{name}/org.apache.servicemix.specs.activation-api-1.1.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_1_1_api.jar jaf_1_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.activation-api-1.1.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_api.jar javamail_api %{_javadir}/%{name}/org.apache.servicemix.specs.javamail-api-1.4.jar 10400
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_1_4_api.jar javamail_1_4_api %{_javadir}/%{name}/org.apache.servicemix.specs.javamail-api-1.4.jar 10400
%{_sbindir}/update-alternatives --install %{_javadir}/jpa_api.jar jpa_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-1.1.1.jar 10101
%{_sbindir}/update-alternatives --install %{_javadir}/jpa_1_1_1_api.jar jpa_1_1_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-1.1.1.jar 10101
%{_sbindir}/update-alternatives --install %{_javadir}/jpa_api.jar jpa_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jpa_2_0_api.jar jpa_2_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb.jar jaxb %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_api.jar jaxb_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_2_0_api.jar jaxb_2_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb.jar jaxb %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.1.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_api.jar jaxb_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.1.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_2_1_api.jar jaxb_2_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.1.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb.jar jaxb %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.2.jar 20200
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_api.jar jaxb_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.2.jar 20200
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_2_2_api.jar jaxb_2_2_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.2.jar 20200
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp.jar jaxp %{_javadir}/%{name}/org.apache.servicemix.specs.jaxp-api-1.3.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws.jar jaxws %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_api.jar jaxws_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_2_0_api.jar jaxws_2_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.0.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws.jar jaxws %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.1.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_api.jar jaxws_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.1.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_2_1_api.jar jaxws_2_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.1.jar 20100
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws.jar jaxws %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.2.jar 20200
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_api.jar jaxws_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.2.jar 20200
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_2_2_api.jar jaxws_2_2_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.2.jar 20200
%{_sbindir}/update-alternatives --install %{_javadir}/jbi.jar jbi %{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jbi_api.jar jbi_api %{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jbi_1_0_api.jar jbi_1_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311.jar jsr311 %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8.jar 800
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311_api.jar jsr311_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8.jar 800
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311_0_8_api.jar jsr311_0_8_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8.jar 800
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311.jar jsr311 %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.0.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311_api.jar jsr311_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.0.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311_1_0_api.jar jsr311_1_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.0.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311.jar jsr311 %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.1.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311_api.jar jsr311_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.1.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jsr311_1_1_api.jar jsr311_1_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.1.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/saaj.jar saaj %{_javadir}/%{name}/org.apache.servicemix.specs.saaj-api-1.3.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/saaj_api.jar saaj_api %{_javadir}/%{name}/org.apache.servicemix.specs.saaj-api-1.3.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/saaj_1_3_api.jar saaj_1_3_api %{_javadir}/%{name}/org.apache.servicemix.specs.saaj-api-1.3.jar 10300
%{_sbindir}/update-alternatives --install %{_javadir}/stax_api.jar stax_api %{_javadir}/%{name}/org.apache.servicemix.specs.stax-api-1.0.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/stax_1_0_api.jar stax_1_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.stax-api-1.0.jar 10000

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaf %{_javadir}/%{name}/org.apache.servicemix.specs.activation-api-1.1.jar
    %{_sbindir}/update-alternatives --remove jaf_api %{_javadir}/%{name}/org.apache.servicemix.specs.activation-api-1.1.jar
    %{_sbindir}/update-alternatives --remove jaf_1_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.activation-api-1.1.jar
    %{_sbindir}/update-alternatives --remove javamail_api %{_javadir}/%{name}/org.apache.servicemix.specs.javamail-api-1.4.jar
    %{_sbindir}/update-alternatives --remove javamail_1_4_api %{_javadir}/%{name}/org.apache.servicemix.specs.javamail-api-1.4.jar
    %{_sbindir}/update-alternatives --remove jpa_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-1.1.1.jar
    %{_sbindir}/update-alternatives --remove jpa_1_1_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-1.1.1.jar
    %{_sbindir}/update-alternatives --remove jpa_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jpa_2_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.java-persistence-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jaxb %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jaxb_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jaxb_2_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jaxb %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.1.jar
    %{_sbindir}/update-alternatives --remove jaxb_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.1.jar
    %{_sbindir}/update-alternatives --remove jaxb_2_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.1.jar
    %{_sbindir}/update-alternatives --remove jaxb %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.2.jar
    %{_sbindir}/update-alternatives --remove jaxb_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.2.jar
    %{_sbindir}/update-alternatives --remove jaxb_2_2_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxb-api-2.2.jar
    %{_sbindir}/update-alternatives --remove jaxp %{_javadir}/%{name}/org.apache.servicemix.specs.jaxp-api-1.3.jar
    %{_sbindir}/update-alternatives --remove jaxws %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jaxws_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jaxws_2_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.0.jar
    %{_sbindir}/update-alternatives --remove jaxws %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.1.jar
    %{_sbindir}/update-alternatives --remove jaxws_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.1.jar
    %{_sbindir}/update-alternatives --remove jaxws_2_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.1.jar
    %{_sbindir}/update-alternatives --remove jaxws %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.2.jar
    %{_sbindir}/update-alternatives --remove jaxws_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.2.jar
    %{_sbindir}/update-alternatives --remove jaxws_2_2_api %{_javadir}/%{name}/org.apache.servicemix.specs.jaxws-api-2.2.jar
    %{_sbindir}/update-alternatives --remove jbi %{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0.jar
    %{_sbindir}/update-alternatives --remove jbi_api %{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0.jar
    %{_sbindir}/update-alternatives --remove jbi_1_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jbi-api-1.0.jar
    %{_sbindir}/update-alternatives --remove jsr311 %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8.jar
    %{_sbindir}/update-alternatives --remove jsr311_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8.jar
    %{_sbindir}/update-alternatives --remove jsr311_0_8_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-0.8.jar
    %{_sbindir}/update-alternatives --remove jsr311 %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.0.jar
    %{_sbindir}/update-alternatives --remove jsr311_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.0.jar
    %{_sbindir}/update-alternatives --remove jsr311_1_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.0.jar
    %{_sbindir}/update-alternatives --remove jsr311 %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.1.jar
    %{_sbindir}/update-alternatives --remove jsr311_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.1.jar
    %{_sbindir}/update-alternatives --remove jsr311_1_1_api %{_javadir}/%{name}/org.apache.servicemix.specs.jsr311-api-1.1.jar
    %{_sbindir}/update-alternatives --remove saaj %{_javadir}/%{name}/org.apache.servicemix.specs.saaj-api-1.3.jar
    %{_sbindir}/update-alternatives --remove saaj_api %{_javadir}/%{name}/org.apache.servicemix.specs.saaj-api-1.3.jar
    %{_sbindir}/update-alternatives --remove saaj_1_3_api %{_javadir}/%{name}/org.apache.servicemix.specs.saaj-api-1.3.jar
    %{_sbindir}/update-alternatives --remove stax_api %{_javadir}/%{name}/org.apache.servicemix.specs.stax-api-1.0.jar
    %{_sbindir}/update-alternatives --remove stax_1_0_api %{_javadir}/%{name}/org.apache.servicemix.specs.stax-api-1.0.jar
fi

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%ghost %{_javadir}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/*

%changelog
* Tue Feb 05 2013 Ralph Apel <r.apel at r-apel.de> 0:1.7.0-5
- Prevent xzpayload problem

* Sun Jan 13 2013 Ralph Apel <r.apel at r-apel.de> 0:1.7.0-4
- Adapt to current, prepare for free
- Still without sources: jsr311-0.8-api

* Thu Jul 14 2011 Ralph Apel <r.apel at r-apel.de> 0:1.7.0-3
- Priorities cannot start with 0
- update-alternatives --remove on versionless jar

* Mon Jul 04 2011 Ralph Apel <r.apel at r-apel.de> 0:1.7.0-2
- Use jaxws-2.0-api from axis2-1.3 to extract

* Mon Jul 04 2011 Ralph Apel <r.apel at r-apel.de> 0:1.7.0-1
- First release
